/* ============================================================
  COMMON
============================================================ */
.switch {
  display: table-cell;
  vertical-align: middle;
  height: 35px;
  position: relative;
    padding-left: 12px;
  top: -3px;
}

.switch_ {
  display: inline-block;
  vertical-align: middle;
  height: 35px;
  position: relative;
  padding-left: 12px;
  top: -5px;
}


/* ============================================================
  COMMON
============================================================ */
.cmn-toggle {
  position: absolute;
  margin-left: -9999px;
  visibility: hidden;
}
.cmn-toggle + label {
  display: block;
  position: relative;
  cursor: pointer;
  outline: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* ============================================================
  SWITCH 1 - ROUND
============================================================ */
input.cmn-toggle-round + label {
  padding: 2px;
  width: 75px;
  height: 35px;
  -webkit-border-radius: 60px;
  -moz-border-radius: 60px;
  -ms-border-radius: 60px;
  -o-border-radius: 60px;
  border-radius: 60px;
  border:2px solid #d2d2d2;
  
}
input.cmn-toggle-round + label:before, input.cmn-toggle-round + label:after {
  display: block;
  position: absolute;
  top: 0px;
  left: 0px;
  bottom: 0px;
  right: 0px;
  content: "";
 /* background:-webkit-linear-gradient(rgba(237,237,237,1),rgba(252,252,252,1)); /*
 /*Safari 5.1-6 background: -o-linear-gradient(rgba(237,237,237,1),rgba(252,252,252,1)); */
 /*Opera 11.1-12 background: -moz-linear-gradient(rgba(237,237,237,1),rgba(252,252,252,1)); /*
 /*Fx 3.6-15 background: linear-gradient(rgba(237,237,237,1),rgba(252,252,252,1)); Standard*/
}
input.cmn-toggle-round + label:before {
  right: 0px;
  background-color: #fff;
  -webkit-border-radius: 60px;
  -moz-border-radius: 60px;
  -ms-border-radius: 60px;
  -o-border-radius: 60px;
  border-radius: 60px;
  -webkit-transition: background 0.4s;
  -moz-transition: background 0.4s;
  -o-transition: background 0.4s;
  transition: background 0.4s;
  border: solid 2x #d2d2d2;
}
input.cmn-toggle-round + label:after {
  width: 36px;
  padding:0px;
  background-color: #fff;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
  border-radius: 100%;
  -webkit-transition: margin 0.4s;
  -moz-transition: margin 0.4s;
  -o-transition: margin 0.4s;
  transition: margin 0.4s;
  border: solid 2px #d2d2d2;
  background-image: url("../images/img_dragger.png");
  background-repeat:no-repeat;
  background-position:-2px -2px;
  top: -1px;
  left: -1px;
  bottom: -1px;
}
input.cmn-toggle-round:checked + label:before {
  background: #c2d100;
}
input.cmn-toggle-round:checked + label:after {
  margin-left: 41px;
}

/* ============================================================
  SWITCH 2 - ROUND FLAT
============================================================ */
input.cmn-toggle-round-flat + label {
  padding: 0px;
  width: 120px;
  height: 60px;
  background-color: #dddddd;
  -webkit-border-radius: 60px;
  -moz-border-radius: 60px;
  -ms-border-radius: 60px;
  -o-border-radius: 60px;
  border-radius: 60px;
  -webkit-transition: background 0.4s;
  -moz-transition: background 0.4s;
  -o-transition: background 0.4s;
  transition: background 0.4s;
}
input.cmn-toggle-round-flat + label:before, input.cmn-toggle-round-flat + label:after {
  display: block;
  position: absolute;
  content: "";
}
input.cmn-toggle-round-flat + label:before {
  top: 0px;
  left: 0px;
  bottom: 0px;
  right: 0px;
  background-color: #fff;
  -webkit-border-radius: 60px;
  -moz-border-radius: 60px;
  -ms-border-radius: 60px;
  -o-border-radius: 60px;
  border-radius: 60px;
  -webkit-transition: background 0.4s;
  -moz-transition: background 0.4s;
  -o-transition: background 0.4s;
  transition: background 0.4s;
}
input.cmn-toggle-round-flat + label:after {
  top: 1px;
  left: 1px;
  bottom: 1px;
  width: 52px;
  background-color: #dddddd;
  -webkit-border-radius: 52px;
  -moz-border-radius: 52px;
  -ms-border-radius: 52px;
  -o-border-radius: 52px;
  border-radius: 52px;
  -webkit-transition: margin 0.4s, background 0.4s;
  -moz-transition: margin 0.4s, background 0.4s;
  -o-transition: margin 0.4s, background 0.4s;
  transition: margin 0.4s, background 0.4s;
}
input.cmn-toggle-round-flat:checked + label {
  background-color: #c2d100;
}
input.cmn-toggle-round-flat:checked + label:after {
  margin-left: 60px;
  background-color: #c2d100;
}
